#include "aboutus.h"
#include "ui_aboutus.h"

#include "gui/guiscenemanager.h"

AboutUs::AboutUs(QWidget *parent) :
    Scene(parent),
    ui(new Ui::AboutUs)
{
    ui->setupUi(this);
    watcher = new ButtonEventListener(this);
    ui->back_button->installEventFilter(watcher);
}

AboutUs::~AboutUs()
{
    delete watcher;
    delete ui;
}

void AboutUs::on_back_button_clicked()
{
    GuiSceneManager::getInstance().changeScene("main_menu");
}
